/{organizationId}/{mandateId}/finance/accounting/receipts/{receiptId}Get posting receipt
Returns a specific posting receipt by its id with all of its details
Required permissions:
mandate.read
posting.read
Path Parameters
mandateIdstringrequired organizationIdstringrequired receiptIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/receipts/{receiptId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
receiptNumberstringrequired receiptFilestringrequired receiptFileNamestringrequired ObjectId as string
minItems: 1
canceledAtdate-time | nulloptional canceledReasonstringoptional maxLength: 240
createdAtdate-time | nulloptional receiptDatestringrequired deliveryDatestring | nullrequired descriptionstringrequired Response
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"receiptNumber": "string",
"receiptFile": "string",
"receiptFileName": "string",
"cashTransaction": "000000000000000000000001",
"positions": [
{
"debitAccount": 1,
"creditAccount": 1,
"isNet": true,
"amount": 1,
"taxCode": "string",
"costCenter1": 1,
"costCenter2": 1,
"receiptDate": "string",
"deliveryDate": null,
"description": "string"
}
],
"receiptDate": "string",
"deliveryDate": "string",
"description": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}